% Intervalo de tempo
t0 = 0;             % Tempo zero
ti = t0-5;          % Tempo inicial
tf = t0+2;          % Tempo final
h = 0.01;           % Passo de tempo;

% Condicoes iniciais
x0=1;
y0=1;
z0 = [x0,y0];          % Valor inicial

% Definindo a equacao diferencial
F = @(t,z) Airy(t,z);            % funcao F

% Resolvendo pelo metodo de Runge-Kutta de ordem 4
z = RK4_twosided(ti,t0,tf,h,z0,F);

N=1+(tf-ti)/h;
t = linspace(ti,tf,N);

% Representacao grafica da solucao
figure;
plot(t,z(1,:))
hold on

% Coeficientes da serie de potencias
k=100;               % numero de termos na serie = 3*k+2
a = zeros(3*k+2,1);

a(1) = x0;
a(2) = y0;
a(3) = 0;

for n = 1:3k-1
  a(n+3) = a(n)/((n+3)*(n+2));
  end
  
% Calculo da serie de potencias 
x=zeros(length(t),1);

for i=1:length(t)
  x(i)=power_series(a,t(i));
end

plot(t,x)

